KLA12014
Multiple vulnerabilities in Opera

Updated: 11/30/2020
Detect date
?
11/10/2020
Severity
?
Warning
Description

Multiple vulnerabilities were found in Opera. Malicious users can exploit these vulnerabilities to cause denial of service, spoof user interface, bypass security restrictions.

Below is a complete list of vulnerabilities:

  1. Data validation vulnerability in installer component can be exploited to potentially cause denial of service.
  2. Stack buffer overflow vulnerability in WebRTC can be exploited to potentially caouse denial of service.
  3. Use after free vulnerability in UI can be exploited to spoof user interface and potentially cause denial of service.
  4. Implementation vulnerability in V8 can be exploited to potentially cause denial of service.
  5. Policy enforcement vulnerability in ANGLE can be exploited to bypass security restrictions.
  6. Heap buffer overflow vulnerability in UI on Windows can be exploited to cause denial of service.
Affected products

Opera earlier than 72.0.3815.320

Solution

Update to the latest version
Download Opera

Original advisories

Changelog for Opera 72
Stable Channel Update for Desktop

Impacts
?
DoS 
[?]

SB 
[?]

SUI 
[?]
Related products
Opera
CVE-IDS
?
CVE-2020-160090.0Unknown
CVE-2020-160110.0Unknown
CVE-2020-160070.0Unknown
CVE-2020-160050.0Unknown
CVE-2020-160060.0Unknown
CVE-2020-160080.0Unknown
CVE-2020-160040.0Unknown
Find out the statistics of the vulnerabilities spreading in your region